<!-- normal header container used on all screens except the match screen -->
<panel>

  <attachment class="get_global_attachment" get_property="dref" set_property="dref"/>

  <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" layout_children="true"/>

  <!-- container to handle the layout of the 'background' logos -->
  <container id="BkLg">
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>

  </container>

      <!-- Add background Main logo -->
    <widget class="picture" id="lftB" auto_size="all">

      <layout class="stick_to_sides_attachment" alignment="top" inset="0"/>
      <layout class="stick_to_sides_attachment" alignment="left" inset="-5"/>

      <!-- set main 'background' logo -->
      <attachment class="get_global_attachment" get_property="mbpc" set_property="file" skip_if_null="false"/>

      <!-- tells the picture to listen for the 'main picture needs recolouring' property and sets its own 'should recolour' property from it -->
      <attachment class="get_global_attachment" get_property="mbrc" set_property="srec" skip_if_null="false"/>

      <!-- the background, foreground and outline colours of the object we use for recolouring the default main picture if there is one, and it should be recoloured -->
      <attachment class="get_global_attachment" get_property="bkcl" set_property="rrep"/>
      <attachment class="get_global_attachment" get_property="fcol" set_property="grep"/>
      <attachment class="get_global_attachment" get_property="ocol" set_property="brep"/>

    </widget>

  <!-- main logos container -->
  <container id="MnLg">
    <layout class="arrange_horizontal_attachment" layout="160,-1,150" offset="0" gap="0" />
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" offset="0"/>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" offset="0" layout_children="true"/>

    <!--left sided main logo and quick flicks-->
    <container id="flik">
      <layout class="arrange_horizontal_attachment" layout="-1,35" gap="0" inset="0"/>
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>


      <!-- Primary Logo -->
      <widget class="picture" id="lgtF" scale_picture="true" keep_aspect_ratio="true" height="110" width="110" image_alignment="centre" >
       <layout class="centre_in_parent_attachment" alignment="vertical" offset="-12"/>

        <!-- tells the picture to listen to the 'main picture' global property being set, and set its own file property from it -->
        <attachment class="get_global_attachment" get_property="mnpc" set_property="file" skip_if_null="false"/>
      </widget>

      <container>
        <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>

        <widget class="quick_flick_button" id="flkl" auto_size="all" appearance="button/custom/quickflicks/left/button" cached="true" step="-1">
          <attachment class="test_global_attachment" get_property="cQkF" set_property="hidn" mode="0" value="0"/>
          <layout class="stick_to_sides_attachment" alignment="left" inset="0"/>
          <layout class="stick_to_sides_attachment" alignment="top" inset="24"/>
        </widget>

        <widget class="quick_flick_button" id="flkr" auto_size="all" appearance="button/custom/quickflicks/right/button" cached="true" step="1">
          <attachment class="test_global_attachment" get_property="cQkF" set_property="hidn" mode="0" value="0"/>
          <layout class="stick_to_sides_attachment" alignment="left" inset="0"/>
          <layout class="stick_to_sides_attachment" alignment="top" inset="45"/>
        </widget>

      </container>

    </container>

    <!-- club/nation/team names -->
    <container>
      <layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" gap="0"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="2" layout_children="true"/>

      <container height="59">
        <layout class="arrange_horizontal_attachment" alignment="left" offset="15" gap="0"/>
        <layout class="stick_to_sides_attachment" alignment="vertical" inset="15" layout_children="true"/>

        <!--team container stuff-->
        <widget class="action_button" id="tcon" auto_size="horizontal" appearance="button/team titlebar/button" size="12"/>
        <widget class="popup_button" id="tcpo" fixed="true" text="" width="20" appearance="menu/team titlebar"/>

        <!--team popup-->
        <widget class="action_button" id="team" auto_size="horizontal" appearance="button/team titlebar/button" size="12"/>
        <widget class="popup_button" id="tepo" fixed="true" text="" width="20" appearance="menu/team titlebar"/>

        <!--spacer-->
        <container width="10"/>

        <!--division info-->
        <widget class="text" id="divt" multiline="false" auto_size="horizontal" alignment="left,centre_y">
          <attachment class="test_global_attachment" get_property="subt" skip_if_null="false" set_property="hidn"/>
          <attachment class="get_global_attachment" get_property="subt" set_property="text"/>
          <attachment class="get_global_attachment" get_property="ttcl" set_property="colr"/>
        </widget>

      </container>

      <container/>
    </container>

    <container>
      <layout class="arrange_horizontal_attachment" alignment="left,extend" gap="8"/>
      <layout class="stick_to_sides_attachment" alignment="vertical" inset="0"/>

      
    </container>

  </container>

  <!-- searchbox -->
  <container file="searchbox">
    <layout class="stick_to_sides_attachment" alignment="top" inset="5"/>
    <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>
  </container>

</panel>
